import { createFilter } from '@rollup/pluginutils';

function requireStaticLinking (options = {}) {

    const filter = createFilter(options.include, options.exclude);

    return {
        name: 'rollup-plugin-require-static',
        transform(code, file) {

            if (!filter(file)) return;
            // let source = new MagicString(code)

            code = code.replace('define(function(require, exports, module) {', '').replace(/\}\);/g, (match, offset, _content) => {
                if (_content.length - offset < 7) return '';
                 else {
                     return match;}
            })      

            return { code: code, map: { mappings: '' }};
        }
    };
}